<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row justify="center" class="pr-6 pl-6">
      <v-col cols="12" xl="6" lg="6" md="6" sm="10" xs="12">
        <v-card elevation="6" class="rounded-xl">
          <v-card-title>Kantinku</v-card-title>
          <v-card-text>
            <v-row>
              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card class="rounded-lg pa-4" height="100" @click="open_url('https://api.whatsapp.com/send?phone=+6281917805915&text=saya pesan')">
                  <strong
                    >Buk Tin ( Ibu Kantin )</strong
                  >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        max-width="100"
                        max-height="100"
                        src="../../assets/images/wa.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      Mbak Nur Kantin<br/>
                      <strong>+62 819-1780-5915</strong>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>

              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card class="rounded-lg pa-4" height="100" @click="open_url('https://api.whatsapp.com/send?phone=+6287860804343&text=saya pesan')">
                  <strong
                    >Mek Tin ( Memek Kantin )</strong
                  >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        max-width="100"
                        max-height="100"
                        src="../../assets/images/wa.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      Komang Memek<br/>
                      <strong>+62 878-6080-4343</strong>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>

              <v-col cols="12" xl="6" lg="6" md="6" sm="6" xs="12">
                <v-card class="rounded-lg pa-4" height="100" >
                  <strong
                    >Garuda Lounge</strong
                  >
                  <v-row>
                    <v-col cols="3">
                      <v-img
                        max-width="100"
                        max-height="100"
                        src="../../assets/images/wa.png"
                      />
                    </v-col>
                    <v-col cols="9">
                      
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>


            </v-row>
            
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "internal-kantinku",
  components: {},
  data: () => ({
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Internal",
        disabled: false,
        href: "internal",
      },
      {
        text: "Kantinku",
        disabled: true,
        href: "#",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "KANTINKU");
  },
  methods: {
    open_breadcum(href) {
      if (href === "home") {
        this.$router.replace(`/`);
      } else {
        this.$store.dispatch("constant/set_title", "Layanan Internal");
        this.$router.back();
      }
    },
  },
};
</script>

<style scoped>
</style>
